;/*   ==========================================================
; *   Copyright (c) Texas Instruments Incorporated 2004, 2005
; * 
; *  Redistribution and use in source and binary forms, with or without 
; *  modification, are permitted provided that the following conditions 
; *  are met:
; *
; *    Redistributions of source code must retain the above copyright 
; *    notice, this list of conditions and the following disclaimer.
; *
; *    Redistributions in binary form must reproduce the above copyright
; *    notice, this list of conditions and the following disclaimer in the 
; *    documentation and/or other materials provided with the   
; *    distribution.
; *
; *    Neither the name of Texas Instruments Incorporated nor the names of
; *    its contributors may be used to endorse or promote products derived
; *    from this software without specific prior written permission.
; *
; *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
; *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
; *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
; *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
; *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
; *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
; *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
; *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
; *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
; *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
; *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
; *
; */
;****************************************************************************
;*                    E X P O R T E D     F U N C T I O N S
;****************************************************************************
    .global __CSL_beginCriticalSection
;****************************************************************************
;*                         P A S S - T H R U   C O D E
;****************************************************************************

  .text
;****************************************************************************
;*                       P U B L I C   F U N C T I O N S
;****************************************************************************

;****************************************************************************
;*  
;*   void _CSL_beginCriticalSection (
;*           void
;*   )
;****************************************************************************

_CSL_SGIE_MASK .equ 0x00000002

__CSL_beginCriticalSection:
	bnop b3,2
	dint	
	mvc tsr, b0
	and _CSL_SGIE_MASK, b0, a4
	
	


****************************************************************************
* End of _CSL_beginCriticalSection.asm
****************************************************************************
